# DH (sshj 0.7.0 API)
Date: 2012-01-08

## net.schmizz.sshj.transport.kex
Class DH

    java.lang.Object
      net.schmizz.sshj.transport.kex.DH

    public class DH

extends Object

Diffie-Hellman key generator.

Constructor Summary
`DH()`

Method Summary
`void` `computeK(BigInteger f)`
`BigInteger` `getE()`
`BigInteger` `getK()`
`void` `init(BigInteger p, BigInteger g)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DH

    public DH()

Method Detail

### init

    public void init(BigInteger p,
                     BigInteger g)
              throws GeneralSecurityException

  Throws:
    `GeneralSecurityException`

### computeK

    public void computeK(BigInteger f)
                  throws GeneralSecurityException

  Throws:
    `GeneralSecurityException`

### getE

    public BigInteger getE()

### getK

    public BigInteger getK()

Copyright © 2009-2012. All Rights Reserved.